> ## Documentation Index
> Fetch the complete documentation index at: https://docs.near.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Network Info

> Queries the current state of node network connections. This includes information about active peers, transmitted data, known producers, etc.



## OpenAPI

````yaml /openapi.json post /network_info
openapi: 3.0.0
info:
  title: NEAR Protocol JSON RPC API
  version: 1.2.3
servers:
  - url: https://rpc.mainnet.near.org
    description: Mainnet
  - url: https://rpc.testnet.near.org
    description: Testnet
security: []
paths:
  /network_info:
    post:
      summary: Network Info
      description: >-
        Queries the current state of node network connections. This includes
        information about active peers, transmitted data, known producers, etc.
      operationId: network_info
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JsonRpcRequest_for_network_info'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JsonRpcResponse_for_RpcNetworkInfoResponse_and_RpcNetworkInfoError
components:
  schemas:
    JsonRpcRequest_for_network_info:
      properties:
        id:
          type: string
        jsonrpc:
          type: string
        method:
          enum:
            - network_info
          type: string
        params:
          $ref: '#/components/schemas/RpcNetworkInfoRequest'
      required:
        - jsonrpc
        - id
        - params
        - method
      title: JsonRpcRequest_for_network_info
      type: object
    JsonRpcResponse_for_RpcNetworkInfoResponse_and_RpcNetworkInfoError:
      oneOf:
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcNetworkInfoResponse_and_RpcNetworkInfoError_variant0
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcNetworkInfoResponse_and_RpcNetworkInfoError_variant1
      properties:
        id:
          type: string
        jsonrpc:
          type: string
      required:
        - jsonrpc
        - id
      title: JsonRpcResponse_for_RpcNetworkInfoResponse_and_RpcNetworkInfoError
      type: object
    RpcNetworkInfoRequest:
      enum:
        - null
      nullable: true
      title: RpcNetworkInfoRequest
    JsonRpcResponse_for_RpcNetworkInfoResponse_and_RpcNetworkInfoError_variant0:
      properties:
        result:
          $ref: '#/components/schemas/RpcNetworkInfoResponse'
      required:
        - result
      type: object
    JsonRpcResponse_for_RpcNetworkInfoResponse_and_RpcNetworkInfoError_variant1:
      properties:
        error:
          $ref: '#/components/schemas/ErrorWrapper_for_RpcNetworkInfoError'
      required:
        - error
      type: object
    RpcNetworkInfoResponse:
      properties:
        active_peers:
          items:
            $ref: '#/components/schemas/RpcPeerInfo'
          type: array
        known_producers:
          description: Accounts of known block and chunk producers from routing table.
          items:
            $ref: '#/components/schemas/RpcKnownProducer'
          type: array
        num_active_peers:
          format: uint
          minimum: 0
          type: integer
        peer_max_count:
          format: uint32
          minimum: 0
          type: integer
        received_bytes_per_sec:
          format: uint64
          minimum: 0
          type: integer
        sent_bytes_per_sec:
          format: uint64
          minimum: 0
          type: integer
      required:
        - active_peers
        - num_active_peers
        - peer_max_count
        - sent_bytes_per_sec
        - received_bytes_per_sec
        - known_producers
      type: object
    ErrorWrapper_for_RpcNetworkInfoError:
      oneOf:
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcNetworkInfoError_variant0'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcNetworkInfoError_variant1'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcNetworkInfoError_variant2'
    RpcPeerInfo:
      properties:
        account_id:
          anyOf:
            - $ref: '#/components/schemas/AccountId'
            - enum:
                - null
              nullable: true
        addr:
          nullable: true
          type: string
        id:
          $ref: '#/components/schemas/PeerId'
      required:
        - id
      type: object
    RpcKnownProducer:
      properties:
        account_id:
          $ref: '#/components/schemas/AccountId'
        addr:
          nullable: true
          type: string
        peer_id:
          $ref: '#/components/schemas/PeerId'
      required:
        - account_id
        - peer_id
      type: object
    ErrorWrapper_for_RpcNetworkInfoError_variant0:
      properties:
        cause:
          $ref: '#/components/schemas/RpcRequestValidationErrorKind'
        name:
          enum:
            - REQUEST_VALIDATION_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcNetworkInfoError_variant1:
      properties:
        cause:
          $ref: '#/components/schemas/RpcNetworkInfoError'
        name:
          enum:
            - HANDLER_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcNetworkInfoError_variant2:
      properties:
        cause:
          $ref: '#/components/schemas/InternalError'
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    AccountId:
      description: >-
        NEAR Account Identifier.


        This is a unique, syntactically valid, human-readable account identifier
        on the NEAR network.


        [See the crate-level docs for information about
        validation.](index.html#account-id-rules)


        Also see [Error kind precedence](AccountId#error-kind-precedence).


        ## Examples


        ```

        use near_account_id::AccountId;


        let alice: AccountId = "alice.near".parse().unwrap();


        assert!("ƒelicia.near".parse::<AccountId>().is_err()); // (ƒ is not f)

        ```
      title: AccountId
      type: string
    PeerId:
      allOf:
        - $ref: '#/components/schemas/PublicKey'
      description: Peer id is the public key.
    RpcRequestValidationErrorKind:
      oneOf:
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant0'
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant1'
    RpcNetworkInfoError:
      oneOf:
        - $ref: '#/components/schemas/RpcNetworkInfoError_variant0'
    InternalError:
      oneOf:
        - $ref: '#/components/schemas/InternalError_variant0'
    PublicKey:
      type: string
    RpcRequestValidationErrorKind_variant0:
      properties:
        info:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
        name:
          enum:
            - METHOD_NOT_FOUND
          type: string
      required:
        - name
        - info
      type: object
    RpcRequestValidationErrorKind_variant1:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - PARSE_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcNetworkInfoError_variant0:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    InternalError_variant0:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object

````